#pragma once
#include "../../stdafx.h"

#include "../glLibMain.h"

//TODO: this, and put in glLibExtPhysics
namespace glLib { namespace Effect {

namespace Object {
	class object;
};

namespace Cloth {

class cloth {
	private:
		::glLib::Object::object* _cloth_object;
	public:
		cloth(::glLib::Object::object* cloth_object, const glLibFlag simulation_type) {
			throw GLLIB_ERROR_TYPE_ERROR("Not implemented!");
			/*float a_row1[] = {4,1};
			float a_row2[] = {1,3};
			float* A[] = {a_row1,a_row2};

			float x_row1[] = {2};
			float x_row2[] = {1};
			float* x[] = {x_row1,x_row2};

			float b_row1[] = {1};
			float b_row2[] = {2};
			float* b[] = {b_row1,b_row2};

			glLibMathMatrix<float> matrix_A(2,2,A);
			glLibMathMatrix<float> matrix_x(2,1,x);
			glLibMathMatrix<float> matrix_b(2,1,b);
			glLibMathMatrix<float>::conjugate_gradient(&matrix_A,&matrix_x,&matrix_b,5);*/
			_cloth_object = cloth_object;
		}
		~cloth(void) {
		}
};

};};};